# List available and installed Postgres extensions Source: https://docs.orchard.hackclub.com/api/operations/databases_extensions_list/ `GET /apiv1/databases/{id}/extensions` Operation ID: `databases_extensions_list` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "extensions": { "items": { "additionalProperties": {}, "properties": { "comment": { "type": "string" }, "defaultVersion": { "type": "string" }, "installed": { "type": "boolean" }, "name": { "type": "string" }, "version": { "type": "string" } }, "required": [ "name", "installed" ], "type": "object" }, "type": "array" }, "sharedPreloadLibraries": { "items": { "type": "string" }, "type": "array" } }, "required": [ "extensions", "sharedPreloadLibraries" ], "type": "object" } ```